> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneshotagent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Email

> Find email address for a person at a company

## Overview

Find the email address for a person given their name and company domain. Uses multiple data providers to find and verify email addresses.

## Request Body

<ParamField body="full_name" type="string">
  Full name of the person (alternative to first\_name + last\_name)
</ParamField>

<ParamField body="first_name" type="string">
  First name (required if full\_name not provided)
</ParamField>

<ParamField body="last_name" type="string">
  Last name (required if full\_name not provided)
</ParamField>

<ParamField body="company_domain" type="string" required>
  Company domain (e.g., "microsoft.com")
</ParamField>

<Snippet file="audit-context-params.mdx" />

## Response (202 - Processing)

```json theme={null}
{
  "request_id": "req_abc123",
  "status": "processing",
  "tool": "enrich_email",
  "message": "Email enrichment job queued successfully"
}
```

## Job Result

```json theme={null}
{
  "status": "completed",
  "result": {
    "email": "satya.nadella@microsoft.com",
    "full_name": "Satya Nadella",
    "company_domain": "microsoft.com",
    "found": true
  }
}
```

If email not found:

```json theme={null}
{
  "status": "completed",
  "result": {
    "email": null,
    "full_name": "Satya Nadella",
    "company_domain": "microsoft.com",
    "found": false
  }
}
```

## SDK Usage

```typescript theme={null}
// Using full name
const result = await agent.findEmail({
  full_name: 'Satya Nadella',
  company_domain: 'microsoft.com'
});

// Using first + last name
const result = await agent.findEmail({
  first_name: 'Satya',
  last_name: 'Nadella',
  company_domain: 'microsoft.com'
});

if (result.found) {
  console.log(`Email: ${result.email}`);
} else {
  console.log('Email not found');
}
```

## Example: Research and Outreach Flow

```typescript theme={null}
// 1. Search for decision makers
const people = await agent.peopleSearch({
  job_titles: ['CTO', 'VP Engineering'],
  company_domains: ['stripe.com'],
  limit: 5
});

// 2. Find their emails
for (const person of people.results) {
  const email = await agent.findEmail({
    full_name: person.full_name,
    company_domain: person.company_domain
  });

  if (email.found) {
    // 3. Send outreach email
    await agent.email({
      to: email.email,
      subject: `Quick question for ${person.first_name}`,
      body: `Hi ${person.first_name},...`
    });
  }
}
```
